static void grbs_point_reg(grbs_t *grbs, grbs_point_t *p)
{
	double r = p->copper + p->clearance;
	p->bbox.x1 = p->x - r; p->bbox.y1 = p->y - r;
	p->bbox.x2 = p->x + r; p->bbox.y2 = p->y + r;
	grbs_rtree_insert(&grbs->point_tree, p, &p->bbox);
}

static void grbs_point_unreg(grbs_t *grbs, grbs_point_t *p)
{
	grbs_rtree_delete(&grbs->point_tree, p, &p->bbox);
}

